org.jenkinsci.constant_pool_scanner

## Class MemberRefConstant

- java.lang.Object
- - org.jenkinsci.constant_pool_scanner.MemberRefConstant

Direct Known Subclasses:
  FieldRefConstant, InterfaceMethodRefConstant, MethodRefConstant

    public abstract class MemberRefConstant
    extends Object

Reference to a field/method of another class.

Author:
  Kohsuke Kawaguchi

### Constructor Summary

Constructors
Constructor and Description
`MemberRefConstant()`

### Method Summary

Methods
`ClassConstant` `getClassConstant()` Class that contains the method/field in question.
`String` `getClazz()` Gets the internal name of the class that contains method/field in question.
`String` `getDescriptor()` Its type descriptor, a combination of field/method return type and parameter types.
`String` `getName()` Name of the field/method.
`NameAndTypeConstant` `getNameAndTypeConstant()` Signature of the method/field.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MemberRefConstant

    public MemberRefConstant()

### Method Detail

#### getClazz

    public String getClazz()

Gets the internal name of the class that contains method/field in question.

#### getClassConstant

    public ClassConstant getClassConstant()

Class that contains the method/field in question.

#### getName

    public String getName()

Name of the field/method.

#### getDescriptor

    public String getDescriptor()

Its type descriptor, a combination of field/method return type and parameter types.

#### getNameAndTypeConstant

    public NameAndTypeConstant getNameAndTypeConstant()

Signature of the method/field.